%global releasever 2

Name:       python-TSD
Version:    0.52
Release:    %{releasever}%{?dist}
Summary:    Python tools and libraries used in TSD

Group:      System Environment/Base
License:    GPLv2+

URL:        http://www.usit.uio.no/prosjekter/tsd20/
Source0:    python-tsd-release-%{version}.tar.gz

# From https://fedoraproject.org/wiki/User:Till/Python_Packaging for RHEL 6
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2: %global __python2 /usr/bin/python2}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

BuildArch:  noarch

%if 0%{?rhel} >= 8
BuildRequires: python3-devel
Requires: python3-ldap
Requires: python3-suds
Requires: python3-netaddr
Requires: python3-toml
Requires: python3-kombu
%global __my_python %{__python3}
%global __my_python_sitelib %{python3_sitelib}
%else
BuildRequires: python2-devel
Requires: python-ldap
Requires: python-suds
Requires: python-netaddr
%global __my_python %{__python2}
%global __my_python_sitelib %{python2_sitelib}
%endif

Requires: jq

%description
This package contains a python library and various useful command line
tools for the TSD project.

%prep
%setup -q -n python-tsd-release-%{version}

%build
%{__my_python} setup.py build

%install
%{__my_python} setup.py install --skip-build --root $RPM_BUILD_ROOT

#%check
#%{__my_python} setup.py test


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{__my_python_sitelib}/*

%changelog
* Mon Feb  3 2025 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.52-2
- Adjusted Koji build setup.
* Mon Feb  3 2025 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.52-1
- Updated github workflows and koji build rules.
* Fri Mar  3 2023 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.50-1
- Updated github workflows and koji build rules.
* Thu Dec 15 2022 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.39-1
- Drop GPG key creation for projects going forward.
- Replace nettskjema-submissions/ with new survey/ directory only available
  via API.
* Thu Apr 28 2022 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.38-1
- Added partly support for projects on ESS storage.
- New uptream location on github.uio.no.
* Wed Oct 20 2021 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.37-1
- Fixed typo in GPG key creation in the RabbitMQ event handler.
* Tue Oct 19 2021 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.36-1
- Use correct group when creating project toplevel directories from RabbitMQ
  event.
* Tue Oct 19 2021 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.35-1
- Asked systemd to start RabbitMQ event handler after autofs.
- Told RabbitMQ event handler try again if DNS lookup fail.
- Added code to create and publish GPG keys when RabbitMQ event handler create
  projects.
- Improved dryrun log handling.
* Thu Sep 30 2021 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.34-1
- Adjust handling of user deletion based on RabbitMQ events to remove empty
  user directories instead of keeping an empty <username>.deleted.
- Adjusted user creation to allow reusing <username>.deleted directories
  if the username, uid and gid matches.  This handle user revival automatically.
- Only handle shared directory setup in tsd-projectdir-setup, leave project
  setup to tsd-projectdir-setup-rmq.
* Wed Sep 22 2021 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.33-1
- Stop creating S3 config directory in durable.  No longer used
- Correct typo in tsd-projectdir-setup-rmq creating the wrong nettskjema-submission
  instead of nettskjema-submissions directory.
* Mon Sep 20 2021 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.32-1
- Adjust how RabbitMQ triggered scripts handle user deletion.  Fix bug and
  make more robust.
* Wed Aug 11 2021 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.31-1
- Updated create-tsd-host.py to python 3 and tell it to create login
  groups for Windows.
- Removed code to create obsolete directories during project creation.
- Added beta RabbitMQ triggered script to create project directories.
* Mon Mar  8 2021 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.30-1
- Made tsd-project-gpgkey-setup more robust.
- Change to grant access to group pxx-export-group for shared directories
- Adjusted create-tsd-host.py defaults.
* Mon Dec  7 2020 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.29-1
- Fix updated GPG generation script to work with RHEL 8.
* Mon Dec  7 2020 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.28-1
- Updated GPG generation script to work with RHEL 8.
* Wed Nov 25 2020 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.27-2
- Bring code closer to python 3.
* Wed Nov 25 2020 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.27-1
- Adjust build rules to build for python 3 on RHEL >= 8.  Need to get
  it working before enabling this for RHEL 7 too.
* Tue Nov 24 2020 Petter Reinholdtsen <petter.reinholdtsen@usit.uio.no> - 0.27
- Adjust RPM spec file and associated python macros to build on RHEL 8 too.
- Adjusted code to be closer to python 3.
- Updated GPG keyserver host used during key generation.
* Fri May 29 2020 Torjus Håkestad <torjus@usit.uio.no> - 0.26
- Add publication folders to test-projectdir-setup
* Thu Nov 21 2019 Torjus Håkestad <torjus@usit.uio.no> - 0.25
- Updated project S3 key saving function
* Mon Jun 24 2019 Torjus Håkestad <torjus@usit.uio.no> - 0.24-1
- Change how fx-folders are created
* Thu Apr 04 2019 Torjus Håkestad <torjus@usit.uio.no> - 0.24-1
- Fix permissions of export folder
* Fri Mar 29 2019 Torjus Håkestad <torjus@usit.uio.no> - 0.23-1
- Merge pull request #17, #18, #19
- set tsdfx group owner of .tsd in nettskjema-submissions
- Only chown nettskjema folders if newly created
* Fri Jan 18 2019 Torjus Håkestad <torjus@usit.uio.no> - 0.22-1
- Merge pull request #15
- Merge pull request #16
* Tue Aug 21 2018 Torjus Håkestad <torjus@usit.uio.no> -  0.21-1
- Merge pull request #13
- Merge pull request #14
* Mon Jun 04 2018 Martin Benonisen <mbeno@usit.uio.no> -  0.20-1
- create file-api and s3-api directories under /durable
- Adjust tsd-virtcreate behaviour.
* Mon Apr 23 2018 Petter Reinholdtsen <pre@usit.uio.no> - 0.19-1
- Adjust tsd-virtcreate behaviour.
- Adjust fx directory permissions.
- Add new script to filter transfer logs and spread to projects.
* Thu Sep 14 2017 Petter Reinholdtsen <pre@usit.uio.no> - 0.18-1
- Change default project directory permissions.
* Mon Aug 14 2017 Martin Benonisen <mbeno@usit.uio.no> - 0.17-2
- Improved logging
* Tue Aug 01 2017 Martin Benonisen <mbeno@usit.uio.no> - 0.17-1
- Removed code and dependencies to rhev
* Thu Mar 30 2017 Martin Benonisen <mbeno@usit.uio.no> - 0.16-3
- Fixed issues with osname not beeing properly set, and template_name is now set by tsd-virtcreate and not vmware.py
* Wed Jan 11 2017 Martin Benonisen <mbeno@usit.uio.no> - 0.16-2
- Fixed bug in tsd-virtcreate that used template name as osname instead of os version identifier
* Mon Jan 09 2017 Martin Benonisen <mbeno@usit.uio.no> - 0.16-1
- vmware.py and tsd-virtcreate has been changed to allow multiple os versions
* Mon Oct 03 2016 Petter Reinholdtsen <pre@usit.uio.no> - 0.15-1
- Added script to generate GPG keys.
- Updated tsd-virtcreate to work with the new VM setup.
- Adjusted tsd-projectdir-setup to prefer the pxx-tsdfx user
  over root.
* Tue Mar 29 2016 Petter Reinholdtsen <pre@usit.uio.no> - 0.14-1
- Add new tools tsd-role2hosts and tsdfx-sns-migrate.
- Extend project setup tool to create directories needed by vidoy.
* Fri Sep 25 2015 Petter Reinholdtsen <pre@usit.uio.no> - 0.13-1
- Adjust tsd-virtcreate to ensure ipv6 gateway is reachable
  before creating machines.
* Tue May 19 2015 Petter Reinholdtsen <pre@usit.uio.no> - 0.12-1
- Add new directory creating script.
* Thu Feb 26 2015 Petter Reinholdtsen <pre@usit.uio.no> - 0.11-1
- Update scripts to set up directory structures.
- Correct siteadmin for new VMs.
* Thu Feb 26 2015 Petter Reinholdtsen <pre@usit.uio.no> - 0.10-1
- Make tsd-virtcreate more robust.
* Thu Feb 26 2015 Petter Reinholdtsen <pre@usit.uio.no> - 0.9-1
- Fix typos in new config file handling.
* Thu Feb 26 2015 Petter Reinholdtsen <pre@usit.uio.no> - 0.8-1
- Adjust config file handling, make sure all parts the same .ini file.
* Tue Feb 24 2015 Petter Reinholdtsen <pre@usit.uio.no> - 0.7-1
- Add VMWare support to tsd-virtcreate.
- Handle new LDAP setup for vlan in tsd-virtcreate.
* Fri Nov 14 2014 Petter Reinholdtsen <pre@usit.uio.no> - 0.6-1
- Fix typos in previous version.
* Fri Nov 14 2014 Petter Reinholdtsen <pre@usit.uio.no> - 0.5-1
- Rewrite tsd-virtcreate to handle VMWare as well as RHEV.
- New script tsd-virtcreate-autochpwd to update system passwords.
* Wed Aug 27 2014 Petter Reinholdtsen <pre@usit.uio.no> - 0.4-1
- Change DNS server used vsd-virtcreate to get installation
  working again.
* Wed Aug 20 2014 Petter Reinholdtsen <pre@usit.uio.no> - 0.3-1
- Add workaround for API bug in tsd-virtcreate and clean up user
  creation in tsd-projectdir-setup.
* Thu Mar 20 2014 Petter Reinholdtsen <pre@usit.uio.no> - 0.2-1
- Updated tsd-virtcreate and new script to list host affected by atoms.
* Thu Mar 20 2014 Petter Reinholdtsen <pre@usit.uio.no> - 0.1-1
- Updated tsd-virtcreate and new script to generate QR code images.
* Fri Jan 10 2014 Petter Reinholdtsen <pre@usit.uio.no> - 0.0.7-1
- Teach tsd-virtcreate to grant project group access to new machines.
* Thu Jan  9 2014 Petter Reinholdtsen <pre@usit.uio.no> - 0.0.6-1
- Improve tsd-virtcreate and update tools to work with new LDAP structure.
* Thu Dec 19 2013 Petter Reinholdtsen <pre@usit.uio.no> - 0.0.5-1
- Make tsd-virtcreate more robust and ready to run as cron job, and
  adjust the templates used.
* Tue Sep 10 2013 Petter Reinholdtsen <pre@usit.uio.no> - 0.0.4-2
- Change dependency frmo ovirt-engine-sdk to the best I could find as a equivalent of
  "ovirt-engine-sdk OR rhevm-sdk", /usr/lib/python2.6/site-packages/ovirtsdk/api.py.
* Tue Sep 10 2013 Petter Reinholdtsen <pre@usit.uio.no> - 0.0.4-1
- Improve virtual machine creation.
* Mon Aug 19 2013 Petter Reinholdtsen <pre@usit.uio.no> - 0.0.3-1
- Get virtual machine automatic creation limping along.
* Fri Aug 16 2013 Petter Reinholdtsen <pre@usit.uio.no> - 0.0.2-1
- Correct package dependencies and version number.
* Fri Aug 16 2013 Petter Reinholdtsen <pre@usit.uio.no> - 0.0.1-1
- Updated library and add initial virtual machine creation support.
* Mon Jul 15 2013 Petter Reinholdtsen <pre@usit.uio.no> - 0.0.0-1
- Initial release
